Skip to main content
GET
/
v5
/
invoicing
/
invoiceSetup
Get invoice setup
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/invoicing/invoiceSetup \
  --header 'Authorization: Bearer <token>'
{
  "brandColor": "#5AAE46",
  "defaultInvoiceNote": "Thank you for your business!",
  "defaultInvoiceTerm": "NET_10",
  "defaultReimbursableMarkUpPercent": 10,
  "invoiceReminderSchedule": "ON_DUE_DATE",
  "thirdPartyPaymentsEnabled": true,
  "invoiceSetupComplete": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.tight.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Response

200 - application/json

Successful operation

brandColor
string

The primary color (six digit hexadecimal) of your user's brand

Example:

"#5AAE46"

defaultInvoiceNote
string

Default invoice message, to be appended at the end of the invoice

Example:

"Thank you for your business!"

defaultInvoiceTerm
enum<string>

Default invoice term, i.e. how many days till the invoice is due

Available options:
DUE_NOW,
NET_10,
NET_15,
NET_30,
NET_60,
OTHER
Example:

"NET_10"

defaultReimbursableMarkUpPercent
number

Default expense mark-up percentage

Example:

10

invoiceReminderSchedule
enum<string>[]

List of payment reminder frequencies to be used as the default on new invoices

Available options:
ON_DUE_DATE,
THREE_DAYS_AFTER_DUE_DATE,
EVERY_SEVEN_DAYS_AFTER_DUE_DATE,
AFTER_TWO_MINS
thirdPartyPaymentsEnabled
boolean

Whether third party payment processing is enabled

invoiceSetupComplete
boolean

Whether the user has completed all the invoice setup steps